## empathy-ui-utils

empathy-ui-utils

## Synopsis

    enum                EmpathySound;
    void                empathy_gtk_init                    (void);
    GRegex *            empathy_uri_regex_dup_singleton     (void);
    void                empathy_glade_get_file_simple       (const gchar *filename,
                                                             const gchar *root,
                                                             const gchar *domain,
                                                             const gchar *first_required_widget,
                                                             ...);
    GladeXML *          empathy_glade_get_file              (const gchar *filename,
                                                             const gchar *root,
                                                             const gchar *domain,
                                                             const gchar *first_required_widget,
                                                             ...);
    void                empathy_glade_connect               (GladeXML *gui,
                                                             gpointer user_data,
                                                             gchar *first_widget,
                                                             ...);
    void                empathy_glade_setup_size_group      (GladeXML *gui,
                                                             GtkSizeGroupMode mode,
                                                             gchar *first_widget,
                                                             ...);
    const gchar *       empathy_icon_name_from_account      (McAccount *account);
    const gchar *       empathy_icon_name_for_presence      (McPresence presence);
    const gchar *       empathy_icon_name_for_contact       (EmpathyContact *contact);
    GdkPixbuf *         empathy_pixbuf_from_data            (gchar *data,
                                                             gsize data_size);
    GdkPixbuf *         empathy_pixbuf_from_data_and_mime   (gchar *data,
                                                             gsize data_size,
                                                             gchar **mime_type);
    GdkPixbuf *         empathy_pixbuf_from_avatar_scaled   (EmpathyAvatar *avatar,
                                                             gint width,
                                                             gint height);
    GdkPixbuf *         empathy_pixbuf_avatar_from_contact_scaled
                                                            (EmpathyContact *contact,
                                                             gint width,
                                                             gint height);
    GdkPixbuf *         empathy_pixbuf_scale_down_if_necessary
                                                            (GdkPixbuf *pixbuf,
                                                             gint max_size);
    GdkPixbuf *         empathy_pixbuf_from_icon_name       (const gchar *icon_name,
                                                             GtkIconSize icon_size);
    GdkPixbuf *         empathy_pixbuf_from_icon_name_sized (const gchar *icon_name,
                                                             gint size);
    gboolean            empathy_text_iter_forward_search    (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);
    gboolean            empathy_text_iter_backward_search   (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);
    gboolean            empathy_window_get_is_visible       (GtkWindow *window);
    void                empathy_window_present              (GtkWindow *window,
                                                             gboolean steal_focus);
    void                empathy_window_iconify              (GtkWindow *window,
                                                             GtkStatusIcon *status_icon);
    GtkWindow *         empathy_get_toplevel_window         (GtkWidget *widget);
    void                empathy_url_show                    (GtkWidget *parent,
                                                             const char *url);
    void                empathy_toggle_button_set_state_quietly
                                                            (GtkWidget *widget,
                                                             GCallback callback,
                                                             gpointer user_data,
                                                             gboolean active);
    GtkWidget *         empathy_link_button_new             (const gchar *url,
                                                             const gchar *title);
    void                empathy_send_file_with_file_chooser (EmpathyContact *contact);
    void                empathy_sound_play                  (GtkWidget *widget,
                                                             EmpathySound sound_id);
    gboolean            empathy_sound_play_full             (GtkWidget *widget,
                                                             EmpathySound sound_id,
                                                             ca_finish_callback_t callback,
                                                             gpointer user_data);
    void                empathy_sound_stop                  (EmpathySound sound_id);

## Description

## Details

### enum EmpathySound

    typedef enum {
    	EMPATHY_SOUND_MESSAGE_INCOMING = 0,
    	EMPATHY_SOUND_MESSAGE_OUTGOING,
    	EMPATHY_SOUND_CONVERSATION_NEW,
    	EMPATHY_SOUND_CONTACT_CONNECTED,
    	EMPATHY_SOUND_CONTACT_DISCONNECTED,
    	EMPATHY_SOUND_ACCOUNT_CONNECTED,
    	EMPATHY_SOUND_ACCOUNT_DISCONNECTED,
    	EMPATHY_SOUND_PHONE_INCOMING,
    	EMPATHY_SOUND_PHONE_OUTGOING,
    	EMPATHY_SOUND_PHONE_HANGUP,
    	LAST_EMPATHY_SOUND,
    } EmpathySound;

### empathy_gtk_init ()

    void                empathy_gtk_init                    (void);

### empathy_uri_regex_dup_singleton ()

    GRegex *            empathy_uri_regex_dup_singleton     (void);

Returns : |

### empathy_glade_get_file_simple ()

    void                empathy_glade_get_file_simple       (const gchar *filename,
                                                             const gchar *root,
                                                             const gchar *domain,
                                                             const gchar *first_required_widget,
                                                             ...);

`filename` : |
`root` : |
`domain` : |
`first_required_widget` : |
`...` : |

### empathy_glade_get_file ()

    GladeXML *          empathy_glade_get_file              (const gchar *filename,
                                                             const gchar *root,
                                                             const gchar *domain,
                                                             const gchar *first_required_widget,
                                                             ...);

`filename` : |
`root` : |
`domain` : |
`first_required_widget` : |
`...` : |
Returns : |

### empathy_glade_connect ()

    void                empathy_glade_connect               (GladeXML *gui,
                                                             gpointer user_data,
                                                             gchar *first_widget,
                                                             ...);

`gui` : |
`user_data` : |
`first_widget` : |
`...` : |

### empathy_glade_setup_size_group ()

    void                empathy_glade_setup_size_group      (GladeXML *gui,
                                                             GtkSizeGroupMode mode,
                                                             gchar *first_widget,
                                                             ...);

`gui` : |
`mode` : |
`first_widget` : |
`...` : |

### empathy_icon_name_from_account ()

    const gchar *       empathy_icon_name_from_account      (McAccount *account);

`account` : |
Returns : |

### empathy_icon_name_for_presence ()

    const gchar *       empathy_icon_name_for_presence      (McPresence presence);

`presence` : |
Returns : |

### empathy_icon_name_for_contact ()

    const gchar *       empathy_icon_name_for_contact       (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_pixbuf_from_data ()

    GdkPixbuf *         empathy_pixbuf_from_data            (gchar *data,
                                                             gsize data_size);

`data` : |
`data_size` : |
Returns : |

### empathy_pixbuf_from_data_and_mime ()

    GdkPixbuf *         empathy_pixbuf_from_data_and_mime   (gchar *data,
                                                             gsize data_size,
                                                             gchar **mime_type);

`data` : |
`data_size` : |
`mime_type` : |
Returns : |

### empathy_pixbuf_from_avatar_scaled ()

    GdkPixbuf *         empathy_pixbuf_from_avatar_scaled   (EmpathyAvatar *avatar,
                                                             gint width,
                                                             gint height);

`avatar` : |
`width` : |
`height` : |
Returns : |

### empathy_pixbuf_avatar_from_contact_scaled ()

    GdkPixbuf *         empathy_pixbuf_avatar_from_contact_scaled
                                                            (EmpathyContact *contact,
                                                             gint width,
                                                             gint height);

`contact` : |
`width` : |
`height` : |
Returns : |

### empathy_pixbuf_scale_down_if_necessary ()

    GdkPixbuf *         empathy_pixbuf_scale_down_if_necessary
                                                            (GdkPixbuf *pixbuf,
                                                             gint max_size);

`pixbuf` : |
`max_size` : |
Returns : |

### empathy_pixbuf_from_icon_name ()

    GdkPixbuf *         empathy_pixbuf_from_icon_name       (const gchar *icon_name,
                                                             GtkIconSize icon_size);

`icon_name` : |
`icon_size` : |
Returns : |

### empathy_pixbuf_from_icon_name_sized ()

    GdkPixbuf *         empathy_pixbuf_from_icon_name_sized (const gchar *icon_name,
                                                             gint size);

`icon_name` : |
`size` : |
Returns : |

### empathy_text_iter_forward_search ()

    gboolean            empathy_text_iter_forward_search    (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);

`iter` : |
`str` : |
`match_start` : |
`match_end` : |
`limit` : |
Returns : |

### empathy_text_iter_backward_search ()

    gboolean            empathy_text_iter_backward_search   (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);

`iter` : |
`str` : |
`match_start` : |
`match_end` : |
`limit` : |
Returns : |

### empathy_window_get_is_visible ()

    gboolean            empathy_window_get_is_visible       (GtkWindow *window);

`window` : |
Returns : |

### empathy_window_present ()

    void                empathy_window_present              (GtkWindow *window,
                                                             gboolean steal_focus);

`window` : |
`steal_focus` : |

### empathy_window_iconify ()

    void                empathy_window_iconify              (GtkWindow *window,
                                                             GtkStatusIcon *status_icon);

`window` : |
`status_icon` : |

### empathy_get_toplevel_window ()

    GtkWindow *         empathy_get_toplevel_window         (GtkWidget *widget);

`widget` : |
Returns : |

### empathy_url_show ()

    void                empathy_url_show                    (GtkWidget *parent,
                                                             const char *url);

`parent` : |
`url` : |

### empathy_toggle_button_set_state_quietly ()

    void                empathy_toggle_button_set_state_quietly
                                                            (GtkWidget *widget,
                                                             GCallback callback,
                                                             gpointer user_data,
                                                             gboolean active);

`widget` : |
`callback` : |
`user_data` : |
`active` : |

### empathy_link_button_new ()

    GtkWidget *         empathy_link_button_new             (const gchar *url,
                                                             const gchar *title);

`url` : |
`title` : |
Returns : |

### empathy_send_file_with_file_chooser ()

    void                empathy_send_file_with_file_chooser (EmpathyContact *contact);

`contact` : |

### empathy_sound_play ()

    void                empathy_sound_play                  (GtkWidget *widget,
                                                             EmpathySound sound_id);

`widget` : |
`sound_id` : |

### empathy_sound_play_full ()

    gboolean            empathy_sound_play_full             (GtkWidget *widget,
                                                             EmpathySound sound_id,
                                                             ca_finish_callback_t callback,
                                                             gpointer user_data);

`widget` : |
`sound_id` : |
`callback` : |
`user_data` : |
Returns : |

### empathy_sound_stop ()

    void                empathy_sound_stop                  (EmpathySound sound_id);

`sound_id` : |